Bug 1546945 - [Rebalance] "Migrate file failed: <filepath>: failed to get xattr [No data available]" warnings in rebalance logs
Summary: [Rebalance] "Migrate file failed: <filepath>: failed to get xattr [No data av...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1546954 1548078 1548264
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-02-20 06:04 UTC by Prasad Desala
Modified: 2018-09-04 06:43 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1546954 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:42:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:52 UTC

Description Prasad Desala 2018-02-20 06:04:46 UTC
Description of problem:
=======================
After rebalance is triggered on the volume, on few files I am seeing below warnings in rebalance logs,

[2018-02-20 05:35:39.439245] W [MSGID: 109023] [dht-rebalance.c:2036:dht_migrate_file] 0-distrepx3-dht: Migrate file failed:/1/linux-4.6.4/Documentation/devicetree/bindings/mfd/arizona.txt: failed to get xattr from distrepx3-replicate-2 [No data available]
[2018-02-20 05:35:39.699443] W [MSGID: 109023] [dht-rebalance.c:2036:dht_migrate_file] 0-distrepx3-dht: Migrate file failed:/1/linux-4.6.4/Documentation/devicetree/bindings/mfd/da9055.txt: failed to get xattr from distrepx3-replicate-2 [No data available]
[2018-02-20 05:35:40.056391] W [MSGID: 109023] [dht-rebalance.c:2036:dht_migrate_file] 0-distrepx3-dht: Migrate file failed:/1/linux-4.6.4/Documentation/devicetree/bindings/mfd/tps6507x.txt: failed to get xattr from distrepx3-replicate-2 [No data available]
[2018-02-20 05:35:42.952071] W [MSGID: 109023] [dht-rebalance.c:2036:dht_migrate_file] 0-distrepx3-dht: Migrate file failed:/1/linux-4.6.4/Documentation/devicetree/bindings/mmc/mmc-card.txt: failed to get xattr from distrepx3-replicate-2 [No data available]
[2018-02-20 05:35:43.019614] W [MSGID: 109023] [dht-rebalance.c:2036:dht_migrate_file] 0-distrepx3-dht: Migrate file failed:/1/linux-4.6.4/Documentation/devicetree/bindings/mmc/mmc-spi-slot.txt: failed to get xattr from distrepx3-replicate-0 [No data available]

I am seeing may such warnings in the rebalance logs and logs will get flooded with these warnings if we have large dataset.

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

How reproducible:
1/1

Steps to Reproduce:
===================
1) Create a x3 volume and start it.
2) FUSE mount it on multiple clients.
3) Run linux kernel untar from two clients .
4) While IO is in-progress, add bricks to the volume and start rebalance without force.

Actual results:
===============
Seeing, "Migrate file failed: <filepath>: failed to get xattr [No data available]" warnings in rebalance logs

Expected results:
================
Should not see the above mentioned warnings

Comment 8 Prasad Desala 2018-04-12 09:49:57 UTC
On glusterfs version 3.12.2-7.el7rhgs.x86_64, I am not seeing the warnings mentioned in the description.

Hence, moving this BZ to Verified.

Comment 10 errata-xmlrpc 2018-09-04 06:42:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.